Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.intercept.web
Interface AuthenticationEntryPoint

All Known Implementing Classes:
  AuthenticationProcessingFilterEntryPoint, BasicProcessingFilterEntryPoint, CasProcessingFilterEntryPoint, DigestProcessingFilterEntryPoint, X509ProcessingFilterEntryPoint

    public interface AuthenticationEntryPoint

Used by `SecurityEnforcementFilter` to commence an authentication scheme.

Version:
  $Id: AuthenticationEntryPoint.java,v 1.4 2005/11/17 00:55:50 benalex Exp $
Author:
  Ben Alex

Method Summary
`void` | `commence(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, AuthenticationException authException)` Commences an authentication scheme.

Method Detail

### commence

    void commence(javax.servlet.ServletRequest request,
                  javax.servlet.ServletResponse response,
                  AuthenticationException authException)
                  throws IOException,
                         javax.servlet.ServletException

  Commences an authentication scheme.

  `SecurityEnforcementFilter` will populate the `HttpSession` attribute named `AuthenticationProcessingFilter.ACEGI_SECURITY_TARGET_URL_KEY` with the requested target URL before calling this method.

  Implementations should modify the headers on the `ServletResponse` as necessary to commence the authentication process.

  Parameters:
    `request` - that resulted in an `AuthenticationException`
    `response` - so that the user agent can begin authentication
    `authException` - that caused the invocation
  Throws:
    `IOException`
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.